package org.websparrow.controller;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import org.websparrow.config.RabbitMQConfig;
import org.websparrow.service.MessageSender;

@RestController
public class RabbitMQController {

	@Autowired
	private MessageSender messageSender;
	@Autowired
	private RabbitMQConfig rabbitMQConfig;
	@Autowired
	private RabbitTemplate rabbitTemplate;

	@PostMapping("/send-message")
	public String sendMessage(@RequestBody Object message) {

		messageSender.sendMessage(rabbitTemplate, rabbitMQConfig.getExchange(),
				message, rabbitMQConfig.getRoutingKey());

		return "Message sent <" + message + ">";
	}
}
